using System;

internal sealed class Delegate654 : MulticastDelegate
{
	public extern bool Invoke(DateTime dateTime_0, DateTime dateTime_1);

	public static bool smethod_0(DateTime dateTime_0, DateTime dateTime_1, Delegate654 delegate654_1)
	{
		return delegate654_1(dateTime_0, dateTime_1);
	}

	public extern Delegate654(object object_0, IntPtr intptr_0);

	static Delegate654()
	{
		Class10.smethod_13(typeof(Delegate654).TypeHandle);
	}

	internal static Delegate654 delegate654_0;
}
